Bug 103375 - [CI] igt-core-WARNING: [cmd] rtcwake: [cmd] write error - rtcwake failed with 1
Summary: [CI] igt-core-WARNING: [cmd] rtcwake: [cmd] write error - rtcwake failed with 1
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: DRI git
Hardware: Other All
: low normal
Assignee: Petri Latvala
QA Contact:
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-20 15:13 UTC by Marta Löfstedt
Modified: 2018-09-06 19:58 UTC (History)
3 users (show)

See Also:
i915 platform: BXT, CNL, GLK, HSW, IVB, KBL, SNB
i915 features:


Attachments
dmesg -w (CNL QA) (115.89 KB, text/plain)
2018-03-06 16:30 UTC, Hector Velazquez
no flags Details
kernel log (CNL QA) (1.56 MB, text/plain)
2018-03-06 16:31 UTC, Hector Velazquez
no flags Details
Debug user mode helper timeout (1.62 KB, patch)
2018-03-07 11:32 UTC, Imre Deak
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-10-20 15:13:23 UTC
Note this bug is to handle unduplications from bug 102261

CI_DRM_3260 igt@kms_flip@vblank-vs-suspend fail 

(kms_flip:1361) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(kms_flip:1361) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(kms_flip:1361) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_flip:1361) igt-aux-CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_flip:1361) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3260/shard-kbl7/igt@kms_flip@vblank-vs-suspend.html
Comment 1 Marta Löfstedt 2017-10-20 15:17:51 UTC
CI_DRM_3269 igt@drv_suspend@fence-restore-untiled-hibernate KBL-shards

(drv_suspend:1485) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:1485) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:1485) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:1485) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-untiled-hibernate failed.

Note: dmesg:
<6>[   68.124021] PM: Image saving done.
<6>[   68.124025] PM: Wrote 829892 kbytes in 1.23 seconds (674.70 MB/s)
<6>[   68.124569] PM: S
<3>[   68.124685] PM: Swap header not found!
<4>[   68.124699] |
<7>[   68.332041] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl2/igt@drv_suspend@fence-restore-untiled-hibernate.html
Comment 2 Marta Löfstedt 2017-10-20 15:21:44 UTC
CI_DRM_	igt@drv_suspend@fence-restore-untiled-hibernate fail GLB-shards

(drv_suspend:4484) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:4484) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:4484) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:4484) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-untiled-hibernate failed.

dmesg:
<6>[  551.168540] PM: Image saving done.
<6>[  551.168548] PM: Wrote 752528 kbytes in 4.54 seconds (165.75 MB/s)
<6>[  551.171827] PM: S
<3>[  551.173220] PM: Swap header not found!
<4>[  551.173244] |
<7>[  551.532925] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb5/igt@drv_suspend@fence-restore-untiled-hibernate.html
Comment 3 Marta Löfstedt 2017-10-20 15:23:43 UTC
CI_DRM_3269 APL-shards fail igt@drv_suspend@fence-restore-untiled-hibernate

(drv_suspend:1482) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:1482) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:1482) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:1482) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-untiled-hibernate failed.

dmesg:
<6>[  125.811007] PM: Image saving progress:  90%
<6>[  126.068123] PM: Image saving progress: 100%
<6>[  126.086385] PM: Image saving done.
<6>[  126.086397] PM: Wrote 765748 kbytes in 3.74 seconds (204.74 MB/s)
<6>[  126.088026] PM: S
<3>[  126.088332] PM: Swap header not found!
<4>[  126.088365] |
<4>[  126.491858] hpet1: lost 7161 rtc interrupts

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl1/igt@drv_suspend@fence-restore-untiled-hibernate.html
Comment 4 Marta Löfstedt 2017-10-20 15:26:56 UTC
CI_DRM_3267 GLK-shards fail igt@gem_workarounds@hibernate-resume-fd

(gem_workarounds:10350) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(gem_workarounds:10350) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:10350) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:10350) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume-fd failed.

dmesg:
<3>[ 2348.567301] PM: Cannot find swap device, try swapon -a.
<3>[ 2348.567670] PM: Cannot get swap writer
<4>[ 2349.384324] hpet1: lost 7160 rtc interrupts

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3267/shard-glkb2/igt@gem_workarounds@hibernate-resume-fd.html
Comment 5 Marta Löfstedt 2017-10-20 15:31:50 UTC
CI_DRM_3269 KBL-shards fail: igt@gem_workarounds@hibernate-resume-fd

gem_workarounds:3972) igt-core-WARNING: [cmd] rtcwake: write error[cmd] 
(gem_workarounds:3972) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:3972) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:3972) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume-fd failed.

from dmesg:
<6>[  353.152630] PM: Wrote 789036 kbytes in 1.04 seconds (758.68 MB/s)
<6>[  353.153243] PM: S
<3>[  353.153360] PM: Swap header not found!
<4>[  353.153374] |
<7>[  353.338905] PM: Basic memory bitmaps freed
<6>[  353.339055] OOM killer enabled.
<6>[  353.339058] Restarting tasks ... done.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl4/igt@gem_workarounds@hibernate-resume-fd.html
Comment 6 Marta Löfstedt 2017-10-20 15:34:06 UTC
Ci_DRM_3269 KBL-shards igt@gem_workarounds@hibernate-resume-context

(gem_workarounds:1449) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:1449) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:1449) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:1449) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume-context failed.

from dmesg:
<6>[   85.529526] PM: S
<3>[   85.529645] PM: Swap header not found!
<4>[   85.529658] |
<7>[   85.698139] PM: Basic memory bitmaps freed
<6>[   85.698278] OOM killer enabled.
<6>[   85.698280] Restarting tasks ... done.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl1/igt@gem_workarounds@hibernate-resume-context.html
Comment 7 Marta Löfstedt 2017-10-20 15:35:53 UTC
CI_DRM_3269 APL-shards igt@gem_workarounds@hibernate-resume-context

(gem_workarounds:3527) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:3527) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:3527) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:3527) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume-context failed.

<6>[  952.391773] PM: Wrote 787060 kbytes in 12.63 seconds (62.31 MB/s)
<6>[  952.393588] PM: S
<3>[  952.393803] PM: Swap header not found!
<4>[  952.393836] |
<4>[  952.632373] hpet1: lost 7161 rtc interrupts

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl2/igt@gem_workarounds@hibernate-resume-context.html
Comment 8 Marta Löfstedt 2017-10-20 15:37:31 UTC
CI_DRM_3269 KBL-shards fail igt@drv_suspend@sysfs-reader-hibernate

(drv_suspend:1572) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:1572) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:1572) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:1572) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest sysfs-reader-hibernate failed.

<3>[   76.213230] PM: Swap header not found!
<4>[   76.213243] |
<7>[   76.399470] PM: Basic memory bitmaps freed
<6>[   76.399496] OOM killer enabled.
<6>[   76.399498] Restarting tasks ... done.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl5/igt@drv_suspend@sysfs-reader-hibernate.html
Comment 9 Marta Löfstedt 2017-10-20 15:42:00 UTC
CI_DRM_3269 GLK-shards igt@drv_suspend@sysfs-reader-hibernate

(drv_suspend:1592) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:1592) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:1592) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:1592) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest sysfs-reader-hibernate failed.

from dmesg:
<6>[  114.884026] PM: S
<3>[  114.886118] PM: Swap header not found!
<4>[  114.886142] |
<7>[  115.182129] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb4/igt@drv_suspend@sysfs-reader-hibernate.html
Comment 10 Marta Löfstedt 2017-10-20 15:44:07 UTC
CI_DRM_3269 APL-shards fail igt@drv_suspend@sysfs-reader-hibernate

(drv_suspend:7409) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:7409) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:7409) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:7409) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest sysfs-reader-hibernate failed.

from dmesg:
<3>[ 1492.494085] PM: Cannot find swap device, try swapon -a.
<3>[ 1492.494153] PM: Cannot get swap writer

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl4/igt@drv_suspend@sysfs-reader-hibernate.html
Comment 11 Marta Löfstedt 2017-10-20 15:45:39 UTC
CI_DRM_3269 KBL-shards igt@drv_suspend@debugfs-reader-hibernate

(drv_suspend:2468) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:2468) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2468) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2468) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest debugfs-reader-hibernate failed.

from dmesg:
<6>[   56.042706] PM: S
<3>[   56.042822] PM: Swap header not found!

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl1/igt@drv_suspend@debugfs-reader-hibernate.html
Comment 12 Marta Löfstedt 2017-10-20 15:47:28 UTC
CI_DRM_3269 GLK-shards 	igt@drv_suspend@debugfs-reader-hibernate

(drv_suspend:6270) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:6270) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:6270) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:6270) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest debugfs-reader-hibernate failed.

from dmesg:
<3>[ 1013.043765] PM: Cannot find swap device, try swapon -a.
<3>[ 1013.044011] PM: Cannot get swap writer
<4>[ 1013.611451] hpet1: lost 7161 rtc interrupts

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb5/igt@drv_suspend@debugfs-reader-hibernate.html
Comment 13 Marta Löfstedt 2017-10-20 15:48:48 UTC
CI_DRM_3269 APL-shards igt@drv_suspend@debugfs-reader-hibernate
	

(drv_suspend:6427) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:6427) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:6427) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:6427) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest debugfs-reader-hibernate failed.

from dmesg:
<6>[  430.117020] PM: S
<3>[  430.117207] PM: Swap header not found!
<4>[  430.117225] |
<7>[  430.349590] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl5/igt@drv_suspend@debugfs-reader-hibernate.html
Comment 14 Marta Löfstedt 2017-10-20 15:51:00 UTC
CI_DRM_3269 KBL-shards igt@gem_exec_suspend@basic-S4  	

(gem_exec_suspend:1697) igt-core-WARNING: [cmd] rtcwake: write error
(gem_exec_suspend:1697) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_exec_suspend:1697) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_exec_suspend:1697) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest basic-S4 failed.

from dmesg:
<6>[  388.780397] [drm] RC6 on
<3>[  388.780400] PM: Swap header not found!
<4>[  388.780413] |
<7>[  388.968518] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl2/igt@gem_exec_suspend@basic-S4.html
Comment 15 Marta Löfstedt 2017-10-20 15:52:40 UTC
CI_DRM_3269 GLK-shards igt@gem_exec_suspend@basic-S4
	

(gem_exec_suspend:17482) igt-core-WARNING: [cmd] rtcwake: write error
(gem_exec_suspend:17482) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_exec_suspend:17482) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_exec_suspend:17482) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest basic-S4 failed.

from dmesg:
<3>[ 2566.339920] PM: Cannot find swap device, try swapon -a.
<3>[ 2566.340037] PM: Cannot get swap writer

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb3/igt@gem_exec_suspend@basic-S4.html
Comment 16 Marta Löfstedt 2017-10-20 15:54:01 UTC
CI_DRM_3269 APL-shards igt@gem_exec_suspend@basic-S4
	

(gem_exec_suspend:7580) igt-core-WARNING: [cmd] rtcwake: write error
(gem_exec_suspend:7580) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_exec_suspend:7580) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_exec_suspend:7580) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest basic-S4 failed.

from demsg:
<3>[ 1205.588719] PM: Cannot find swap device, try swapon -a.
<3>[ 1205.588738] PM: Cannot get swap writer
<7>[ 1205.747637] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl5/igt@gem_exec_suspend@basic-S4.html
Comment 17 Marta Löfstedt 2017-10-20 15:55:15 UTC
CI_DRM_3269 KBL_shards 	igt@gem_workarounds@hibernate-resume

(gem_workarounds:1565) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:1565) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:1565) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:1565) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume failed.

from dmesg:
<6>[   71.696668] PM: S
<3>[   71.696787] PM: Swap header not found!
<4>[   71.696800] |
<6>[   71.724125] [drm] RC6 on

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl3/igt@gem_workarounds@hibernate-resume.html
Comment 18 Marta Löfstedt 2017-10-20 15:56:27 UTC
CI_DRM_3269 GLK-shards igt@gem_workarounds@hibernate-resume	

(gem_workarounds:3478) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:3478) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:3478) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:3478) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume failed.

from dmesg:
<6>[  886.784458] PM: S
<3>[  886.784845] PM: Swap header not found!
<4>[  886.784869] |
<4>[  887.013858] hpet1: lost 7161 rtc interrupts

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb4/igt@gem_workarounds@hibernate-resume.html
Comment 19 Marta Löfstedt 2017-10-20 15:57:57 UTC
Ci_DRM_3269 APL-shards 	igt@gem_workarounds@hibernate-resume

(gem_workarounds:4389) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:4389) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:4389) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:4389) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest hibernate-resume failed.

from dmesg:
<6>[  440.392084] PM: S
<3>[  440.392383] PM: Swap header not found!
<4>[  440.392417] |
<4>[  440.532725] hpet1: lost 7161 rtc interrupts


https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl8/igt@gem_workarounds@hibernate-resume.html
Comment 20 Marta Löfstedt 2017-10-20 15:59:25 UTC
CI_DRM_3269 	KBL-shards igt@drv_suspend@fence-restore-tiled2untiled-hibernate

(drv_suspend:2686) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:2686) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2686) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2686) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-tiled2untiled-hibernate failed.

from dmesg:
<6>[  249.073473] PM: Wrote 837136 kbytes in 1.33 seconds (629.42 MB/s)
<6>[  249.074072] PM: S
<3>[  249.074191] PM: Swap header not found!
<4>[  249.074204] |
<7>[  249.283369] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl1/igt@drv_suspend@fence-restore-tiled2untiled-hibernate.html
Comment 21 Marta Löfstedt 2017-10-20 16:00:43 UTC
CI_DRM_3269 GLK-shards 	igt@drv_suspend@fence-restore-tiled2untiled-hibernate

(drv_suspend:2718) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:2718) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2718) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2718) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-tiled2untiled-hibernate failed.

from dmesg:
<6>[  448.286364] PM: Wrote 719560 kbytes in 4.16 seconds (172.97 MB/s)
<6>[  448.293991] PM: S
<3>[  448.296921] PM: Swap header not found!
<4>[  448.297395] |
<4>[  448.369857] hpet1: lost 7161 rtc interrupts


https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb3/igt@drv_suspend@fence-restore-tiled2untiled-hibernate.html
Comment 22 Marta Löfstedt 2017-10-20 16:04:24 UTC
CI_DRM_3269 APL-shards igt@drv_suspend@fence-restore-tiled2untiled-hibernate

(drv_suspend:2645) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(drv_suspend:2645) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2645) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2645) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-tiled2untiled-hibernate failed.

from dmesg:
<6>[  287.124433] PM: S
<3>[  287.124729] PM: Swap header not found!
<4>[  287.124761] |
<4>[  287.224354] hpet1: lost 7161 rtc interrupts
<7>[  287.761539] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl4/igt@drv_suspend@fence-restore-tiled2untiled-hibernate.html
Comment 23 Marta Löfstedt 2017-10-20 16:05:37 UTC
CI_DRM_3269 KBL-shards igt@drv_suspend@forcewake-hibernate

(drv_suspend:2020) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:2020) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2020) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2020) igt-aux-CRITICAL: Last errno: 2, No such file or directory
(drv_suspend:2020) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.

from dmesg:
<6>[  233.720114] PM: S
<3>[  233.720230] PM: Swap header not found!
<4>[  233.720243] |
<6>[  233.768690] [drm] RC6 on

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-kbl1/igt@drv_suspend@forcewake-hibernate.html
Comment 24 Marta Löfstedt 2017-10-20 16:07:15 UTC
CI_DRM_3269 GLK-shards igt@drv_suspend@forcewake-hibernate

(drv_suspend:4148) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:4148) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:4148) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:4148) igt-aux-CRITICAL: Last errno: 2, No such file or directory
(drv_suspend:4148) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest forcewake-hibernate failed.

dmesg:
<6>[ 1249.795508] PM: S
<3>[ 1249.796168] PM: Swap header not found!
<4>[ 1249.796193] |
<7>[ 1250.226252] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-glkb1/igt@drv_suspend@forcewake-hibernate.html
Comment 25 Marta Löfstedt 2017-10-20 16:08:34 UTC
CI_DRM_3269 APL-shards igt@drv_suspend@forcewake-hibernate

(drv_suspend:8675) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:8675) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:8675) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:8675) igt-aux-CRITICAL: Last errno: 2, No such file or directory
(drv_suspend:8675) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest forcewake-hibernate failed.

from dmesg:
<6>[ 1685.306495] PM: S
<3>[ 1685.306690] PM: Swap header not found!
<4>[ 1685.306723] |
<7>[ 1686.075857] PM: Basic memory bitmaps freed

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3269/shard-apl6/igt@drv_suspend@forcewake-hibernate.html
Comment 26 Marta Löfstedt 2017-11-02 06:09:20 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-snb5/igt@drv_suspend@fence-restore-untiled-hibernate.html

(drv_suspend:9087) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:9087) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:9087) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:9087) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest fence-restore-untiled-hibernate failed.

from dmesg:
<6>[ 1268.711306] PM: Wrote 943800 kbytes in 1.78 seconds (530.22 MB/s)
<6>[ 1268.712221] PM: S
<3>[ 1268.712572] PM: Swap header not found!
<4>[ 1268.712601] |
<7>[ 1268.964464] PM: Basic memory bitmaps freed
Comment 27 Marta Löfstedt 2017-11-02 06:11:49 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-hsw4/igt@drv_suspend@fence-restore-untiled-hibernate.html

(drv_suspend:9087) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:9087) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:9087) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:9087) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.

From dmesg:
<6>[ 1018.324806] PM: Wrote 881332 kbytes in 2.01 seconds (438.47 MB/s)
<6>[ 1018.325468] PM: S
<3>[ 1018.327487] PM: Swap header not found!
<4>[ 1018.327510] |
<6>[ 1018.374240] r8169 0000:02:00.0 enp2s0: link up
<7>[ 1018.526996] PM: Basic memory bitmaps freed
<6>[ 1018.527024] OOM killer enabled.
Comment 28 Marta Löfstedt 2017-11-02 06:13:06 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-snb6/igt@drv_suspend@forcewake-hibernate.html

(drv_suspend:2516) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:2516) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2516) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2516) igt-aux-CRITICAL: Last errno: 2, No such file or directory
(drv_suspend:2516) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest forcewake-hibernate failed.

From dmesg:
<6>[  387.140257] PM: Wrote 795004 kbytes in 1.39 seconds (571.94 MB/s)
<6>[  387.140992] PM: S
<3>[  387.141288] PM: Swap header not found!
<4>[  387.141308] |
<7>[  387.349234] PM: Basic memory bitmaps freed
<6>[  387.349239] OOM killer enabled.
<6>[  387.349240] Restarting tasks ... done.
Comment 29 Marta Löfstedt 2017-11-02 06:14:00 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-hsw5/igt@drv_suspend@forcewake-hibernate.html

(drv_suspend:2806) igt-core-WARNING: [cmd] rtcwake: write error[cmd] 
(drv_suspend:2806) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:2806) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:2806) igt-aux-CRITICAL: Last errno: 2, No such file or directory
(drv_suspend:2806) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest forcewake-hibernate failed.

From dmesg:
<6>[  234.501973] PM: Wrote 906796 kbytes in 1.07 seconds (847.47 MB/s)
<6>[  234.502491] PM: S
<3>[  234.502695] PM: Swap header not found!
<4>[  234.502728] |
<7>[  234.635535] [drm:intel_print_rc6_info [i915]] Enabling RC6 states: RC6 on
Comment 30 Marta Löfstedt 2017-11-02 06:15:14 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-snb6/igt@drv_suspend@debugfs-reader-hibernate.html

(drv_suspend:6693) igt-core-WARNING: [cmd] rtcwake: write error[cmd] 
(drv_suspend:6693) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:6693) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:6693) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest debugfs-reader-hibernate failed.

From dmesg:
<7>[ 1298.975488] [drm:gmbus_xfer [i915]] GMBUS [i915 gmbus dpd] NAK on first message, retry
<3>[ 1298.976382] PM: Cannot find swap device, try swapon -a.
<3>[ 1298.976424] PM: Cannot get swap writer
<7>[ 1298.988426] [drm:gmbus_xfer [i915]] GMBUS [i915 gmbus dpd] NAK for addr: 0050 w(1)
Comment 31 Marta Löfstedt 2017-11-02 06:16:20 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-hsw6/igt@drv_suspend@debugfs-reader-hibernate.html

(drv_suspend:5568) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:5568) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(drv_suspend:5568) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:5568) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest debugfs-reader-hibernate failed.

From dmesg:
<6>[  956.976650] PM: Wrote 1038772 kbytes in 1.23 seconds (844.53 MB/s)
<6>[  956.978036] PM: S
<3>[  956.978155] PM: Swap header not found!
<4>[  956.978166] |
<7>[  957.199489] PM: Basic memory bitmaps freed
<6>[  957.199515] OOM killer enabled.
<6>[  957.199517] Restarting tasks ... done.
Comment 32 Marta Löfstedt 2017-11-02 06:31:28 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3307/shard-hsw8/igt@kms_cursor_crc@cursor-128x128-suspend.html

(kms_cursor_crc:4855) igt-core-WARNING: [cmd] rtcwake: write error
(kms_cursor_crc:4855) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(kms_cursor_crc:4855) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_cursor_crc:4855) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest cursor-128x128-suspend failed.

Note there is nothing about swap area in the dmesg associated with this run.
Comment 35 Marta Löfstedt 2017-11-09 07:54:29 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3321/shard-kbl7/igt@gem_workarounds@suspend-resume-context.html

(gem_workarounds:1410) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:1410) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(gem_workarounds:1410) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:1410) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest suspend-resume-context failed.

no suspicious swap related prints in dmesg.
Comment 38 Marta Löfstedt 2017-11-16 07:33:50 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3352/shard-hsw7/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-c-planes.html

(kms_plane:6855) igt-core-WARNING: [cmd] rtcwake: write error
(kms_plane:6855) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:809:
(kms_plane:6855) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_plane:6855) igt-aux-CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_plane:6855) igt-aux-CRITICAL: rtcwake failed with 1
Check dmesg for further details.
Subtest plane-panning-bottom-right-suspend-pipe-C-planes failed.

no swap area related logs in dmesg.
Comment 39 Marta Löfstedt 2017-11-28 15:37:53 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/fi-cnl-y/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b.html

(kms_pipe_crc_basic:3982) igt-core-WARNING: [cmd] rtcwake: write error
(kms_pipe_crc_basic:3982) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(kms_pipe_crc_basic:3982) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:823:
(kms_pipe_crc_basic:3982) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_pipe_crc_basic:3982) igt-aux-CRITICAL: error: 1 != 0
Subtest suspend-read-crc-pipe-B failed.
Comment 40 Marta Löfstedt 2017-11-30 06:56:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3411/fi-hsw-4770/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-a.html

(kms_pipe_crc_basic:4289) igt-core-WARNING: [cmd] rtcwake: write error
(kms_pipe_crc_basic:4289) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(kms_pipe_crc_basic:4289) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(kms_pipe_crc_basic:4289) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_pipe_crc_basic:4289) igt-aux-CRITICAL: error: 1 != 0
Subtest suspend-read-crc-pipe-A failed.
Comment 41 Chris Wilson 2017-11-30 16:13:58 UTC
(In reply to Marta Löfstedt from comment #36)
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3336/shard-apl8/
> igt@gem_eio@in-flight-suspend.html
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3337/shard-kbl4/
> igt@gem_eio@in-flight-suspend.html
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3338/shard-glkb1/
> igt@gem_eio@in-flight-suspend.html

For in-flight-suspend the issue is that whilst waiting for the GPU hang, the rtc timer fires for us to resume -- cancelling dpm_suspend() and it returns with EBUSY.
Comment 42 Marta Löfstedt 2017-12-01 08:05:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3419/shard-hsw8/igt@kms_cursor_crc@cursor-256x256-suspend.html

(kms_cursor_crc:3962) igt-core-WARNING: [cmd] rtcwake: write error
(kms_cursor_crc:3962) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(kms_cursor_crc:3962) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(kms_cursor_crc:3962) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_cursor_crc:3962) igt-aux-CRITICAL: error: 1 != 0
Subtest cursor-256x256-suspend failed.
Comment 43 Chris Wilson 2017-12-01 12:51:43 UTC
(In reply to Chris Wilson from comment #41)
> (In reply to Marta Löfstedt from comment #36)
> > https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3336/shard-apl8/
> > igt@gem_eio@in-flight-suspend.html
> > https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3337/shard-kbl4/
> > igt@gem_eio@in-flight-suspend.html
> > https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3338/shard-glkb1/
> > igt@gem_eio@in-flight-suspend.html
> 
> For in-flight-suspend the issue is that whilst waiting for the GPU hang, the
> rtc timer fires for us to resume -- cancelling dpm_suspend() and it returns
> with EBUSY.

commit 476c4b462e0453c70ee81664c0227fdddc26cbd0 (upstream/master, origin/master,
 origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Nov 30 15:00:51 2017 +0000

    igt/gem_eio: Increase wakeup delay for in-flight-suspend
    
    For in-flight-suspend, we need to wait for the GPU hang within
    i915_gem_suspend(). This will take 10-20s, which means that the standard
    wakeup delay of around 15s may occur before we complete the suspend.
    This causes a pm_system_wakeup(), causing dpm_suspend() to return
    -EBUSY.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Comment 44 Marta Löfstedt 2017-12-04 07:51:56 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3445/shard-apl2/igt@pm_rpm@system-suspend.html

(pm_rpm:2609) igt-core-WARNING: [cmd] rtcwake: write error
(pm_rpm:2609) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(pm_rpm:2609) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(pm_rpm:2609) igt-aux-CRITICAL: Failed assertion: ret == 0
(pm_rpm:2609) igt-aux-CRITICAL: error: 1 != 0
Subtest system-suspend failed.
Comment 45 Marta Löfstedt 2017-12-04 07:52:24 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3445/shard-apl5/igt@pm_rpm@system-suspend-execbuf.html

(pm_rpm:4954) igt-core-WARNING: [cmd] rtcwake: [cmd] write error
(pm_rpm:4954) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(pm_rpm:4954) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(pm_rpm:4954) igt-aux-CRITICAL: Failed assertion: ret == 0
(pm_rpm:4954) igt-aux-CRITICAL: error: 1 != 0
Subtest system-suspend-execbuf failed.
Comment 46 Marta Löfstedt 2017-12-04 07:52:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3445/shard-apl4/igt@gem_workarounds@suspend-resume-fd.html

(gem_workarounds:3188) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:3188) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(gem_workarounds:3188) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(gem_workarounds:3188) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:3188) igt-aux-CRITICAL: error: 1 != 0
Subtest suspend-resume-fd failed.
Comment 47 Marta Löfstedt 2017-12-04 07:53:05 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3445/shard-apl4/igt@gem_workarounds@suspend-resume.html
	

(gem_workarounds:3168) igt-core-WARNING: [cmd] rtcwake: write error
(gem_workarounds:3168) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(gem_workarounds:3168) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(gem_workarounds:3168) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_workarounds:3168) igt-aux-CRITICAL: error: 1 != 0
Subtest suspend-resume failed.
Comment 48 Marta Löfstedt 2017-12-11 07:39:53 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4053/fi-hsw-4770r/igt@gem_exec_suspend@basic-s3.html

(gem_exec_suspend:3121) igt-core-WARNING: [cmd] rtcwake: write error
(gem_exec_suspend:3121) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(gem_exec_suspend:3121) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(gem_exec_suspend:3121) igt-aux-CRITICAL: Failed assertion: ret == 0
(gem_exec_suspend:3121) igt-aux-CRITICAL: error: 1 != 0
Subtest basic-S3 failed.
Comment 49 Marta Löfstedt 2018-01-08 08:14:41 UTC
Note on a lot of subtest associated with this bug, we are no longer seeing this issue. However for the igt@gem_exec_suspend@basic-s4 the issue still happens for all shards and there is always the:
"<3>[  317.813319] PM: Swap header not found!"
print.
Comment 50 Marta Löfstedt 2018-01-09 10:46:19 UTC
Note for the IVB issue:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3609/fi-ivb-3520m/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-a.html


<3>[  395.316767] pci_pm_suspend(): e1000e_pm_suspend+0x0/0x40 [e1000e] returns -2
<3>[  395.316772] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -2
<3>[  395.316783] PM: Device 0000:00:19.0 failed to suspend async: error -2
<3>[  395.316884] PM: Some devices failed to suspend, or early wake event detected

I unduplicated this to bug 104550
Comment 52 Marta Löfstedt 2018-01-15 12:51:49 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3631/shard-snb6/igt@kms_flip@vblank-vs-dpms-suspend.html


(kms_flip:1429) igt-core-WARNING: [cmd] rtcwake: /dev/rtc0: unable to find device: Device or resource busy
(kms_flip:1429) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(kms_flip:1429) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(kms_flip:1429) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_flip:1429) igt-aux-CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_flip:1429) igt-aux-CRITICAL: error: 1 != 0
Subtest vblank-vs-dpms-suspend failed.
Comment 53 Imre Deak 2018-01-24 14:23:39 UTC
I assume this bug is about the hibernation failures with the

PM: Swap header not found!

error message.

This is caused by trying to hibernate to a swap file (vs. a block device) without providing the resume= and resume_offset= kernel parameters. Pass the partition block device the swap file is on to resume and the first physical block of the swap file (reported by filefrag -v) to resume_offset.

Adding Tomi.
Comment 54 Marta Löfstedt 2018-01-24 14:47:21 UTC
I changed component to IGT and assigned to Petri

This need IGT/CI system configuration updates.
Comment 55 Marta Löfstedt 2018-01-29 07:07:09 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4188/fi-cnl-y2/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4188/fi-cnl-y2/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-c.html

(kms_pipe_crc_basic:4250) igt-core-WARNING: [cmd] rtcwake: write error
(kms_pipe_crc_basic:4250) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(kms_pipe_crc_basic:4250) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:821:
(kms_pipe_crc_basic:4250) igt-aux-CRITICAL: Failed assertion: ret == 0
(kms_pipe_crc_basic:4250) igt-aux-CRITICAL: error: 1 != 0
Subtest suspend-read-crc-pipe-C failed.

Maybe usb related:

<6>[  512.960494] PM: suspend entry (deep)
<6>[  512.960500] PM: Syncing filesystems ... done.
<6>[  512.963413] Freezing user space processes ... (elapsed 0.001 seconds) done.
<6>[  512.965383] OOM killer disabled.
<6>[  512.965386] Freezing remaining freezable tasks ... 
<7>[  515.695910] [drm:edp_panel_vdd_off_sync [i915]] Turning eDP port A VDD off
<7>[  515.696221] [drm:edp_panel_vdd_off_sync [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000067
<7>[  515.696319] [drm:intel_power_well_disable [i915]] disabling AUX A
<3>[  516.194451] usb 1-10: device descriptor read/64, error -110
<3>[  532.067053] usb 1-10: device descriptor read/64, error -110
<6>[  532.290739] usb 1-10: new full-speed USB device number 13 using xhci_hcd
<3>[  532.970584] Freezing of tasks failed after 20.005 seconds (0 tasks refusing to freeze, wq_busy=1):
<6>[  532.970642] Showing busy workqueues and worker pools:
<6>[  532.970713] workqueue writeback: flags=0x4e
<6>[  532.970942]   pwq 8: cpus=0-3 flags=0x4 nice=0 active=0/0
<6>[  532.971054]     delayed: wb_workfn
<6>[  532.971100] workqueue usb_hub_wq: flags=0x4
<6>[  532.971472]   pwq 2: cpus=1 node=0 flags=0x0 nice=0 active=1/0
<6>[  532.971905]     in-flight: 3257:hub_event
<6>[  532.972020] pool 2: cpus=1 node=0 flags=0x0 nice=0 hung=18s workers=9 idle: 3262 160 3253 3252 116 47 35 18
<6>[  532.972207] Restarting kernel threads ... done.
<6>[  532.973288] OOM killer enabled.
<6>[  532.973363] Restarting tasks ... done.
<6>[  532.995490] PM: suspend exit
Comment 56 Hector Velazquez 2018-03-06 16:27:12 UTC
This tests has failing on CNL QA 
Tests List:
igt@drv_suspend@sysfs-reader 

output sample:
. . .
**** DEBUG ****
(drv_suspend:879) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(drv_suspend:879) igt-aux-DEBUG: Test requirement passed: (power_dir = open("/sys/power", O_RDONLY)) >= 0
(drv_suspend:879) igt-aux-DEBUG: Test requirement passed: get_supported_suspend_states(power_dir) & (1 << state)
(drv_suspend:879) igt-aux-DEBUG: Test requirement passed: test == SUSPEND_TEST_NONE || faccessat(power_dir, "pm_test", R_OK | W_OK, 0) == 0
(drv_suspend:879) igt-aux-DEBUG: Test requirement passed: ret == 0
(drv_suspend:879) igt-core-INFO: [cmd] rtcwake: wakeup from "mem" using /dev/rtc0 at Mon Mar  5 06:55:01 2018
(drv_suspend:879) igt-core-WARNING: [cmd] rtcwake: write error
(drv_suspend:879) igt-aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(drv_suspend:879) igt-aux-DEBUG: suspend_stats:
success: 0
fail: 1
failed_freeze: 1
failed_prepare: 0
failed_suspend: 0
failed_suspend_late: 0
failed_suspend_noirq: 0
failed_resume: 0
failed_resume_early: 0
failed_resume_noirq: 0
failures:
  last_failed_dev:	
			
  last_failed_errno:	-11
			0
  last_failed_step:	freeze
			
(drv_suspend:879) igt-aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file igt_aux.c:825:
(drv_suspend:879) igt-aux-CRITICAL: Failed assertion: ret == 0
(drv_suspend:879) igt-aux-CRITICAL: error: 1 != 0
(drv_suspend:879) igt-core-INFO: Stack trace:
(drv_suspend:879) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(drv_suspend:879) igt-core-INFO:   #1 [igt_system_suspend_autoresume+0x52b]
(drv_suspend:879) igt-core-INFO:   #2 [<unknown>+0x52b]
****  END  ****
. . .

software:
IGT-Version: 1.21-gc2af514 (x86_64) (Linux: 4.16.0-rc3-drm-intel-qa-ww10-commit-995edb2+ x86_64)
Comment 57 Hector Velazquez 2018-03-06 16:30:41 UTC
Created attachment 137827 [details]
dmesg -w (CNL QA)
Comment 58 Hector Velazquez 2018-03-06 16:31:55 UTC
Created attachment 137828 [details]
kernel log (CNL QA)
Comment 59 Imre Deak 2018-03-07 11:32:40 UTC
Created attachment 137853 [details] [review]
Debug user mode helper timeout

(In reply to Hector Velazquez from comment #58)
> Created attachment 137828 [details]
> kernel log (CNL QA)

Looks like a user mode helper got stuck during suspend (5 sec delay after "PM: Syncing filesystems ... done" after which -EAGAIN return). Could you try reproducing the problem with the attached debug patch and provide a full dmesg log?
Comment 60 Marta Löfstedt 2018-03-19 06:52:37 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3941/shard-kbl3/igt@gem_ctx_isolation@vecs0-s3.html

(gem_ctx_isolation:1403) igt_core-WARNING: [cmd] rtcwake: /dev/rtc0: unable to find device: Device or resource busy
(gem_ctx_isolation:1403) igt_aux-WARNING: rtcwake failed with 1
Check dmesg for further details.
(gem_ctx_isolation:1403) igt_aux-CRITICAL: Test assertion failure function suspend_via_rtcwake, file ../lib/igt_aux.c:825:
(gem_ctx_isolation:1403) igt_aux-CRITICAL: Failed assertion: ret == 0
(gem_ctx_isolation:1403) igt_aux-CRITICAL: error: 1 != 0
Subtest vecs0-S3 failed.

I don't know why we are getting new test with this issue now. The bug have been stable for weeks.
Comment 61 Marta Löfstedt 2018-03-19 15:29:15 UTC
(In reply to Marta Löfstedt from comment #60)
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3941/shard-kbl3/
> igt@gem_ctx_isolation@vecs0-s3.html
> 
> (gem_ctx_isolation:1403) igt_core-WARNING: [cmd] rtcwake: /dev/rtc0: unable
> to find device: Device or resource busy
> (gem_ctx_isolation:1403) igt_aux-WARNING: rtcwake failed with 1
> Check dmesg for further details.
> (gem_ctx_isolation:1403) igt_aux-CRITICAL: Test assertion failure function
> suspend_via_rtcwake, file ../lib/igt_aux.c:825:
> (gem_ctx_isolation:1403) igt_aux-CRITICAL: Failed assertion: ret == 0
> (gem_ctx_isolation:1403) igt_aux-CRITICAL: error: 1 != 0
> Subtest vecs0-S3 failed.
> 
> I don't know why we are getting new test with this issue now. The bug have
> been stable for weeks.

I will put this on a new bug
Comment 62 Chris Wilson 2018-09-06 19:58:03 UTC
I believe we wrote hibernation off as a lost cause, for now. Though I recall there being better support for swapfiles recently. Probably my imagination.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.